View Issue Details

IDProjectCategoryView StatusLast Update
0000285FreeCADFeaturepublic2011-03-08 13:01
ReporterJriegelAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version0.12Fixed in Version0.12 
Summary0000285: Deletion of constraints and geometry
DescriptionAllowing the user to delete constraints or geometry out of a sketch.
Additional InformationBest to implement the deletion of geometry and constraint as a method
of SketchObject, cause if you delete a geometry you have to look through the
constraints and delete the constraints bind to the geometry too! Deleting of constraints shut be straight forward.

The GuiCommand for deletion can call the method of SketchObject via python.
There fore SketchObjectPy need also these methods.
TagsNo tags attached.

Relationships

child of 0000278 closedJriegel Developing Sketcher 

Activities

2011-02-27 09:04

 

rev4147-1a-codingstyle-whitespace-typos.patch (Attachment missing)

2011-02-27 09:04

 

rev4147-2a-memoryleaks.patch (Attachment missing)

2011-02-27 09:05

 

rev4147-3a-delete-constraint.patch (Attachment missing)

logari81

2011-02-27 09:08

developer   ~0000659

Patch rev4147-3a implements deletion of constraints via the delete key in the constraints list.

Prerequisites for patch rev4147-3a are patches rev4147-1a,2a.

Jriegel

2011-03-08 13:01

administrator   ~0000706

implemented by the author direct to SVN

Issue History

Date Modified Username Field Change
2011-02-24 09:44 Jriegel New Issue
2011-02-24 09:45 Jriegel Relationship added child of 0000278
2011-02-24 09:45 Jriegel Target Version => 0.12
2011-02-27 09:04 logari81 File Added: rev4147-1a-codingstyle-whitespace-typos.patch
2011-02-27 09:04 logari81 File Added: rev4147-2a-memoryleaks.patch
2011-02-27 09:05 logari81 File Added: rev4147-3a-delete-constraint.patch
2011-02-27 09:08 logari81 Note Added: 0000659
2011-03-08 13:01 Jriegel Note Added: 0000706
2011-03-08 13:01 Jriegel Status new => closed
2011-03-08 13:01 Jriegel Resolution open => fixed
2011-03-08 13:01 Jriegel Fixed in Version => 0.12